Erro ao compilar ffmpeg4 [Resolvido]

Publicado por Xerxes em 23/01/2019

[ Hits: 907 ]

 


Erro ao compilar ffmpeg4 [Resolvido]



Dica testada no Slackware Current em 19/01/2019.

Vi o erro pela primeira vez ao tentar compilar o pacote "mpv" do SlackBuild usando o slpkg. Dentre as dependências do mpv havia o ffmpeg4. E quando chegava a vez dele ser compilado, parava com o seguinte erro:

ERROR: libsmbclient not found

Pensei que poderia ser a falta do samba, mas ele já estava instalado.

A solução veio após ler a página de SlackBuild do ffmpeg4. Lá dizia:

There are a few other libraries available in Slackware that are also
linked to by default, and you can disable them by changing the default
of "yes" to "no" with the following settings:

...
LIBSMBCLIENT=no
...

Então, para solucionar, bastou baixar o script e o código fonte do ffmpeg4 e criar o pacote manualmente, assim:

# LIBSMBCLIENT=no ./ffmpeg4.SlackBuild

Então instalar o pacote que foi para /tmp:

# installpkg /tmp/ffmpeg4*_SBo.tgz

É isso!

Outras dicas deste autor

Curso free (vídeo-aula) de informática

PokerStars no Xubuntu (Ubuntu)

Emuladores com desempenho ruim, lento [Resolvido]

Ajustando data e hora no Slackware com NTP

Módulo de segurança do Banco do Brasil no Debian 9 sem frescuras

Leitura recomendada

Tema GTK+ no Slackware (x86_64 13.1-current)

Servidor NTP

GRUB 2 Ubuntu 14.04 - Editando nome, sistema default e tempo de boot

Menu do LXDE não mostra todos as aplicações instaladas [Resolvido]

Usando o APT com uma imagem .iso

  

Comentários

Nenhum comentário foi encontrado.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts